/* scroll bar styling section  */

::-webkit-scrollbar-thumb {
  background: #000;
}

::-webkit-scrollbar-thumb:hover {
  background: rgb(179, 0, 0);
}

::-webkit-scrollbar {
  width: 6px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px #ccc;
}

/* custom btn */

a {
  display: inline-block;
}

.custom-btn {
  position: relative;
  display: inline-block;
  padding: 0.75rem 1.5rem;
  font-size: 0.875rem;
  color: white;
  background-color: #ff006e;
  box-shadow: inset 0 2px 4px rgb(0 0 0 / 0.1);
  overflow: hidden;
  cursor: pointer;
  transition: color 0.3s ease, opacity 0.3s ease;
  white-space: nowrap;
  text-decoration: none;
  user-select: none;
  height: 44px;
}

.custom-btn span,
.custom-btn div {
  position: relative;
  z-index: 20;
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
}

.custom-btn::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 0;
  background: white;
  transform: translate(-50%, -50%);
  z-index: 10;
  transition: height 0.3s ease;
  pointer-events: none;
}

.custom-btn:hover {
  color: #ff006e;
  opacity: 0.9;
}

.custom-btn:hover::before {
  height: 44px;
}

.custom-btn-2 {
  position: relative;
  display: inline-block;
  padding: 0.75rem 1.5rem;
  font-size: 0.875rem;
  color: white;
  background-color: #ff006e;
  border: 1px solid #ff006e;
  box-shadow: inset 0 2px 4px rgb(0 0 0 / 0.1);
  overflow: hidden;
  cursor: pointer;
  transition: color 0.3s ease, opacity 0.3s ease;
  white-space: nowrap;
  text-decoration: none;
  user-select: none;
  height: 44px;
}

.custom-btn-2 span {
  position: relative;
  z-index: 20;
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
}

.custom-btn-2::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 0;
  background: white;
  transform: translate(-50%, -50%);
  z-index: 10;
  transition: height 0.3s ease;
  pointer-events: none;
}

.custom-btn-2:hover {
  color: #ff006e;
  opacity: 0.9;
}

.custom-btn-2:hover::before {
  height: 44px;
}

.spinner {
  width: 16px;
  height: 16px;
  border: 2px solid white;
  border-top: 2px solid transparent;
  border-radius: 50%;
  animation: spin 0.6s linear infinite;
}

@keyframes spin {
  from {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

.mobile-scrollbar-menu::-webkit-scrollbar {
  display: none;
}





/* hero section  */

.animate-flip {
  transition: margin-top 0.6s ease-in-out;
  margin-top: 0;
}

#flip {
  overflow: hidden;
  height: 70px;
  display: inline-block;
  vertical-align: top;
}

#flip .animate-flip > div {
  height: 65px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 1.25rem;
}

@media screen and (min-width: 340px) and (max-width: 400px) {
  .consultation_line {
    display: none;
  }
}

.animate-bounce-slow {
  animation: bounceSlow 3s infinite;
}

/* .landing-hero-section{
  background-image: url(../img/page-bg-img/bg-1.webp);
} */

/* technology we use slider nav */

/* category slider nav */
.group:hover .frontendSwiper .swiper-button-next,
.group:hover .frontendSwiper .swiper-button-prev,
.group:hover .framworkSwiper .swiper-button-next,
.group:hover .framworkSwiper .swiper-button-prev,
.group:hover .backendSwiper .swiper-button-next,
.group:hover .backendSwiper .swiper-button-prev,
.group:hover .databaseSwiper .swiper-button-next,
.group:hover .databaseSwiper .swiper-button-prev,
.group:hover .mobileSwiper .swiper-button-next,
.group:hover .mobileSwiper .swiper-button-prev,
.group:hover .devopsSwiper .swiper-button-next,
.group:hover .devopsSwiper .swiper-button-prev,
.group:hover .cloudSwiper .swiper-button-next,
.group:hover .cloudSwiper .swiper-button-prev,
.group:hover .openSourceSwiper .swiper-button-next,
.group:hover .openSourceSwiper .swiper-button-prev {
  display: none !important;
}

.frontendSwiper .swiper-button-next,
.frontendSwiper .swiper-button-prev,
.framworkSwiper .swiper-button-next,
.framworkSwiper .swiper-button-prev,
.backendSwiper .swiper-button-next,
.backendSwiper .swiper-button-prev,
.databaseSwiper .swiper-button-next,
.databaseSwiper .swiper-button-prev,
.cmsSwiper .swiper-button-next,
.cmsSwiper .swiper-button-prev,
.mobileSwiper .swiper-button-next,
.mobileSwiper .swiper-button-prev,
.devopsSwiper .swiper-button-next,
.devopsSwiper .swiper-button-prev,
.cloudSwiper .swiper-button-next,
.cloudSwiper .swiper-button-prev,
.openSourceSwiper .swiper-button-next,
.openSourceSwiper .swiper-button-prev {
  display: none !important;
  align-items: center;
  justify-content: center;
}

.swiper-button-lock {
  display: flex;
}

/* projects section */

#projects-carousel .owl-stage-outer {
  padding: 20px 0px;
}

@media screen and (min-width: 1500px) {
  #projects-carousel .owl-stage-outer .owl-stage .owl-item {
    height: 480px;
  }
}

#projects-carousel .owl-nav button:hover {
  background: none;
}

#projects-carousel .owl-dots .owl-dot.active span {
  background: #001633;
}

/* testimonal section */

#testimonal .owl-stage-outer {
  padding: 10px 0px;
}

#testimonal.owl-carousel.owl-drag .owl-item {
  height: 460px;
}

@media screen and (min-width: 340px) and (max-width: 500px) {
  #testimonal.owl-carousel.owl-drag .owl-item {
    height: 1200px;
  }
}

@media screen and (min-width: 501px) and (max-width: 640px) {
  #testimonal.owl-carousel.owl-drag .owl-item {
    height: 1000px;
  }
}

@media screen and (min-width: 640px) and (max-width: 1023px) {
  #testimonal.owl-carousel.owl-drag .owl-item {
    height: 1100px;
  }
}

#testimonal .owl-nav button:hover {
  background: none;
}

#testimonal .owl-dots .owl-dot.active span {
  background: #c9457e;
}

/* landing page form  */

.landing_page_form_input label {
  position: absolute;
  top: 13px;
  left: 0px;
}

.floating-label {
  font-size: 10px !important;
  top: -5px !important;
}

.error-message {
  text-shadow: 0 2px 10px rgb(255, 0, 0);
}

/* client logo aniamtion slider */
.client-carousel-section {
  padding: 20px 0;
}

/* Styles for the wrapper created by JavaScript */
/* .carousel-wrapper {
  overflow: hidden;
  width: 100%;
  padding: 1rem 0;
  display: flex;
  box-sizing: border-box;
} */

/* Styles for the animated flex container */
.carousel_slider_1,
.carousel-clone.carousel_slider_1 {
  display: flex;
  width: max-content;
  animation: scroll 30s linear infinite;
  flex-shrink: 0;
}

/* Item styles */
.carousel_slider_1 .item,
.carousel_slider_2 .item {
  padding: 0 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 160px;
}

@media (max-width: 768px) {
  .carousel_slider_1 .item,
  .carousel_slider_2 .item {
    min-width: 180px;
    padding: 0 10px;
    height: 140px;
  }
}

.carousel_slider_1 .item img,
.carousel_slider_2 .item img {
  display: block;
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

/* Pause animation on hover */
#carousel_slider_1-wrapper:hover .carousel_slider_1 {
  animation-play-state: paused;
}

/* Animation for the first slider */
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

/* Styles for the animated flex container */
.carousel_slider_2,
.carousel-clone.carousel_slider_2 {
  display: flex;
  width: max-content;
  animation: scroll2 30s linear infinite;
  flex-shrink: 0;
}

/* Pause animation on hover */
#carousel_slider_2-wrapper:hover .carousel_slider_2 {
  animation-play-state: paused;
}

@keyframes scroll2 {
  0% {
    transform: translateX(-50%);
  }
  100% {
    transform: translateX(0%);
  }
}

/* footer social icons */
.social-icons ul {
  display: flex;
  padding: 0px;
  margin-top: 30px;
}
.social-icons ul li {
  list-style: none;
}
.social-icons ul li a {
  display: block;
  position: relative;
  width: 50px;
  height: 50px;
  line-height: 50px;
  font-size: 20px;
  text-align: center;
  background: none;
  text-decoration: none;
  color: #fff;
  margin-right: 20px;
  transition: 0.5s;
}

.social-icons ul li a span {
  position: absolute;
  transition: transform 0.5s;
}
.social-icons ul li a span:nth-child(1),
.social-icons ul li a span:nth-child(3) {
  width: 100%;
  height: 2px;
  background: #fff;
}

.social-icons ul li a span:nth-child(1) {
  top: 0px;
  left: 0px;
  transform-origin: right;
}
.social-icons ul li a:hover span:nth-child(1) {
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.5s;
}

.social-icons ul li a span:nth-child(3) {
  bottom: 0px;
  left: 0px;
  transform-origin: left;
}
.social-icons ul li a:hover span:nth-child(3) {
  transform: scaleX(0);
  transform-origin: right;
  transition: transform 0.5s;
}

.social-icons ul li a span:nth-child(2),
.social-icons ul li a span:nth-child(4) {
  width: 2px;
  height: 100%;
  background: #fff;
}

.social-icons ul li a span:nth-child(2) {
  top: 0px;
  left: 0px;
  transform: scaleY(0);
  transform-origin: bottom;
}
.social-icons ul li a:hover span:nth-child(2) {
  transform: scaleY(1);
  transform-origin: top;
  transition: transform 0.5s;
}

.social-icons ul li a span:nth-child(4) {
  top: 0px;
  right: 0px;
  transform: scaleY(0);
  transform-origin: top;
}
.social-icons ul li a:hover span:nth-child(4) {
  transform: scaleY(1);
  transform-origin: bottom;
  transition: transform 0.5s;
}

/* Filter Buttons Styles */

#demo-canvas {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

/* all form label floating animation when focus */

.form-input label {
  position: absolute;
  top: 13px;
  left: 0px;
}

.floating_label {
  font-size: 10px !important;
  top: -5px !important;
}

.form-error{
  font-size: 12px !important;
  margin-top: 0.25rem;
  color: transparent;
  background-image: linear-gradient(to right, #f87171, #dc2626);
  -webkit-background-clip: text;
  background-clip: text;
}
